/*
 *  Copyright (c) Members of the EGEE Collaboration. 2005.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  gLite Security Delegation Clients - Get Proxy
 *
 *  Authors: 
 *      Zoltan Farkas <Zoltan.Farkas@cern.ch>
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glite/data/delegation/c/delegation-simple.h>

#include "delegation-main.h"

#include <stdlib.h>
#include <stdio.h>

/**********************************************************************
 * Global variables
 */

/* Usage message */
const char *tool_usage = "[DELEGATION_ID]";

/* Help message */
const char *tool_help = "";

/* getguid-specific command line options */
const char *tool_options = "";

/**********************************************************************
 * Tool implementation
 */

int tool_doit(glite_delegation_ctx *ctx, int argc, char *argv[])
{
	int ret;
	char *delegation_id;
	
	delegation_id = (argc ? argv[0] : "");

	ret = glite_delegation_destroy(ctx, delegation_id);
	if (-1 == ret)
	{
		error("Error: %s", glite_delegation_get_error(ctx));
		return -1;
	}

    info("The delegated [%s] credential has been destroyed.\n",
          delegation_id);
	return 0;
}

/**********************************************************************
 * Command line parsing
 */

int tool_parse_cmdline(int c G_GNUC_UNUSED, char *opt_arg G_GNUC_UNUSED)
{
	return -1;
}
